karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Resolved] (KARAF-4516) Extend Karaf feature import version range in Decanter Kibana bundle
Date Tue, 07 Jun 2016 12:34:20 GMT

     [ https://issues.apache.org/jira/browse/KARAF-4516?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jean-Baptiste Onofré resolved KARAF-4516.
-----------------------------------------
    Resolution: Fixed

> Extend Karaf feature import version range in Decanter Kibana bundle
> -------------------------------------------------------------------
>
>                 Key: KARAF-4516
>                 URL: https://issues.apache.org/jira/browse/KARAF-4516
>             Project: Karaf
>          Issue Type: Bug
>          Components: decanter
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>             Fix For: decanter-1.1.1
>
>
> Decanter Kibana bundle implements a FeatureListener to automatically update the Kibana
index and dashboards when user installs a collector.
> Unfortunately, the Karaf feature import range is {{[4,)}}, blocking the installation
of Decanter Kibana on Karaf 3.x, whereas it works fine with the Karaf 3 feature service.
> I will extend the version range to {{[3,)}} to allow to install Decanter Kibana on Karaf
3 and Karaf 4.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message